Zope tells me that my ZPyGreSQLDA (PostgreSQL interface) is broken and yields 
the following trace:
ZPyGreSQLDA Import Traceback

Traceback (most recent call last):
  File "/local/src/Zope-2.2.2-src/lib/python/OFS/Application.py", line 397, in 
    product=__import__(pname, global_dict, global_dict, silly)
  File "/local/zope/lib/python/Products/ZPyGreSQLDA/__init__.py", line 89, in ?
    import sys, os, Globals, DA
  File "/local/zope/lib/python/Products/ZPyGreSQLDA/DA.py", line 91, in ?
    from db import DB
  File "/local/zope/lib/python/Products/ZPyGreSQLDA/db.py", line 89, in ?
    import _pg, regex, sys, types
ImportError: dlopen: cannot load /usr/local/lib/python2.0/site-packages/_pgmodu

but :

wallis:/local/zope> ls -l /usr/local/lib/python2.0/site-packages/_pgmodule.so
-r-xr-xr-x   1 root     system     65536 Nov 24 15:50 

Zope version: Zope 2.2.2 (source release, python 1.5.2, linux2) 
    Python version: 2.0c1 (#2, Nov 24 2000, 11:08:10) [C] 
    System Platform: osf1V4 
    Process ID: 9128 (5381388672) 
    Running for: 1 min 52 sec 

Zope maillist  -  [EMAIL PROTECTED]
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-dev )

Reply via email to